Bug 39291 - Bad: unable to install
Bad: unable to install
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-06 18:44 EDT by nmsraman
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-17 15:49:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description nmsraman 2001-05-06 18:44:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (Win95; U)

Description of problem:
Boot image fails to proceed with installation.

Downloaded seawolf-disk1.iso and seawolf-disk2.iso from ftp.redhat.com/pub/redhat/redhat-7.1-en/iso/i386.
md5sums are matching.

used adaptec cd creator to burn cds. disk 1 unable to boot.

hardware : Toshiba Tecra 8000, Laptop.

Redhat 7.0 was previously installed on this laptop.

Error message : Boot failed. Please change disks and press any key



How reproducible:
Always

Steps to Reproduce:
1.download boot.img. using rawwrite create a boot floppy and try on the above laptop
2.
3.
	

Additional info:
Comment 1 Brent Fox 2001-05-07 11:59:11 EDT
On a laptop system, you don't need to use boot.img.  You need to use pcmcia.img
for the boot disk.  Also, you need to make a floppy with the pcmciadd.img for
the driver disk for the pcmcia devices.
Comment 2 nmsraman 2001-05-07 18:25:23 EDT
No use.

Same results with pcmcia.img

used rawrite to create a boot disk from /images/pcmcia.img
unable to boot.
error message 
Boot failed: please change disks and press a key to continue.
Comment 3 Brent Fox 2001-05-08 14:19:50 EDT
Did you use the pcmciadd.img driver disk?
Comment 4 nmsraman 2001-05-08 22:00:38 EDT
Well i can't even use the pcmciadd.img disk.  The boot process fails well before that.

Steps to reproduce.

1. Create a boot disk using rawrite and pcmcia.img
2. cold start the laptop with floppy disk present ( bios is set to boot from floppy)
3. at Boot: prompt enter expert and press enter
4.  The following message appears
Loading initrd.img...
Boot failed: please change disks and press a key to continue.

The system is non responsive after this.

If i remember correctly pcmciadd.img disk is prompted after you successfuly pass the above stage.

There are no pcmcia devices on this laptop.
The configuration is as below

Pentium II 400 Mhz
128 M RAM, 6GB HDD, Neomagic display adaptor, ATAPI CDROM drive.

I can successfuly install RH7.0 on this laptop without any problem.  ( using boot.img not pcmcia.img )
Comment 5 Brent Fox 2001-05-09 17:31:01 EDT
Are you sure that your floppy disk is good?  Do the cd's work on other machines?
 The fact that the machine is unable to even boot from the cd seems like a bad sign.
Comment 6 nmsraman 2001-05-10 21:51:18 EDT
Yes!  The floppy disk is brand new and is in good condition.  Also the iso images md5sums are matching.

Tried the cdrom 1 ( seawolf-disk1 ) on my home desktop ( running AMD 900 MHz, 256M, 60GB ) and i am able to proceed 
further into installation.  Went as far as package selection and for lack of time didn't install.  This tells me that the cd is also 
in good condition. At present this AMD machine is running RH7.0 ( & win 98, only temporary to do some work related tasks )
and when time permits, will upgrade to RH7.1

Failure happens only on Toshiba Tecra 8000 laptop.  There is no hardware problem with this laptop as i have fallen 
back to RH7.0 on this machine and everything is working.

Appreciate if you can locate the bug in RH7.1 boot process on this laptop.  Let me know if i can be of any help.
Comment 7 Brent Fox 2001-05-11 15:53:44 EDT
Unfortunately we don't have a Toshiba Tecra 8000 in the test lab, so I can't
really reproduce it.  It sounds like the kernel doesn't even finish loading.  Do
you see any dialog screens at all?
Comment 8 nmsraman 2001-05-12 14:29:57 EDT
no as mentioned earlier the machine freezes after the error message.  Unable to proceed further.
Comment 9 Brent Fox 2001-05-14 21:32:50 EDT
I'm running out of ideas on this one.  Arjan, does this sound like a kernel bug
to you?  Bug #32379 shows that there have been issues with pcmcia on the Toshiba
Tecra 8000, but this particular machine never gets that far.
Comment 10 Arjan van de Ven 2001-05-15 04:23:17 EDT
I've never seen this before...
Comment 11 Brent Fox 2001-05-15 11:24:50 EDT
I don't know what to tell you...one option is to manually upgrade the 7.0 system
to 7.1 by hand using RPM.  I know that's a pretty tedious way to do it, but it
should work.  Be sure to update your /etc/lilo.conf file, though, if you install
the 7.1 kernel RPM.  

One last thing:  What if you boot with 'expert text noprobe ide=nodma'?
Comment 12 nmsraman 2001-05-16 08:09:26 EDT
Same results with
expert text noprobe ide=nodma

Oracle is now running on this box on RH7 and i need this setup for next 2-3 weeks to complete some tests.  Later i will try to debug the boot process on 
RH7.1 and see what is wrong.  Let me know if you come across any other approach. Thanks for help so far.
Comment 13 Brent Fox 2001-05-17 15:49:24 EDT
You're running Oracle on a laptop?  Wow.  :)
Anyway, I'm out of ideas on this one.  Without the hardware in question, I don't
have much chance of reproducing the bug in house.  I hate to mark this bug as
"Won't Fix", but I don't know what else to do.  Let me know if you find out any
more info about what is causing the problem.

Note You need to log in before you can comment on or make changes to this bug.